Bug 579599 - [LTC 6.0 FEAT] 201171:FCP Automatic Port Discovery
[LTC 6.0 FEAT] 201171:FCP Automatic Port Discovery
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
6.0
s390x All
high Severity high
: rc
: 6.0
Assigned To: Ruediger Landmann
ecs-bugs
: Documentation, FutureFeature
Depends On: 463601 707020
Blocks: 356741 RHEL6Kernel2.6.27
  Show dependency treegraph
 
Reported: 2010-04-05 20:36 EDT by Ryan Lerch
Modified: 2011-08-24 15:45 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 463601
Environment:
Last Closed: 2010-11-11 10:30:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 RHEL Product and Program Management 2010-04-05 21:55:52 EDT
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.
Comment 3 Michael Hideo 2010-06-01 22:21:55 EDT
Adding '?' to include into the Installation_Guide
Comment 4 RHEL Product and Program Management 2010-06-01 22:30:45 EDT
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.
Comment 5 Steffen Maier 2010-06-02 09:13:44 EDT
Sorry, if I miss something because I cannot see comment 0 and comment 1.
I don't understand what should be documented in the install guide for automatic port discovery of zfcp. The zfcp device driver simply does port discovery internally automatically without any manual triggering or configuration.

Therefore, anaconda UI did not change, so there is no noticeable difference for the user.

Under the covers, anaconda learned to work with and without automatic port discovery so the code covers the zfcp user space interface of both rhel5 and rhel6 since the following commits:
http://git.fedorahosted.org/git/?p=anaconda.git;a=commit;h=b7e430c53495172ebe32833d7756b2adfc42f6c2
http://git.fedorahosted.org/git/?p=anaconda.git;a=commit;h=f2de4e76d7f8b8e7f21de371e42427096909a361
That's handled internally and not visible to the user.
Comment 6 Steffen Maier 2010-06-02 09:31:55 EDT
On second thought, the change of the zfcp user space interface with automatic port discovery is documented in an appendix of the install guide which describes device configuration outside of anaconda. The interface change is reflected in IBM's review comments provided to Red Hat. It's in the chapter/appendix on configuring an installed Linux on System z instance, specifically dynamically adding an FCP LUN.
Comment 8 Jan Stodola 2010-06-16 11:35:41 EDT
Hello,
what is expected to be documented here?

Support for Anaconda has been moved to RHEL6.1 (see bug 463184 comment 34), so there is nothing new with regards to FCP automatic port discovery in anaconda UI.

As mentioned by Steffen in comment 6, installation guide also describes manual configuration of FCP LUN, 19.2. Using the zFCP Driver:
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Installation_Guide/s1-s390info-zfcp.html

This part of installation guide doesn't use the automatic port discovery. Is this the part of Installation guide, which needs to be updated?

Thank you for clarification of this bug.
Comment 9 Steffen Maier 2010-06-16 15:13:27 EDT
(In reply to comment #8)
> Support for Anaconda has been moved to RHEL6.1 (see bug 463184 comment 34), so
> there is nothing new with regards to FCP automatic port discovery in anaconda
> UI.

Just for clarification:
This bug 579599 here is about automatic port discorvery, i.e. about WWPNs, and this is already in RHEL6.0 by means of the upstream zfcp device driver.
That other bug 463184 is about something different, namely automatic LUN discovery in anaconda and that has indeed been deferred.

> http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Installation_Guide/s1-s390info-zfcp.html
> 
> This part of installation guide doesn't use the automatic port discovery. Is
> this the part of Installation guide, which needs to be updated?

The URL currently shows old outdated text of RHEL5. IBM has provided review comments updating this to RHEL6 including the use of automatic port discovery. As soon as our review comments are integrated, this bug will be fixed. So, yes this is the part that needs to be updated.
Comment 10 Ruediger Landmann 2010-06-20 07:51:33 EDT
Thanks IBM. The review comments are integrated in build 0-56 and later of the Red Hat Enterprise Linux 6 Installation Guide. The relevant section now reads:

25.2.1. Dynamically activating an FCP LUN
Follow these steps to activate a LUN:

1. Use the cio_ignore command to remove the FCP adapter from the list of ignored devices and make it visible to Linux:

# cio_ignore -r device_number

Replace device_number with the device number of the FCP adapter. For example:

2. To bring the FCP adapter device online, use the following command:

# chccwdev -e fc00

3. Verify that the required WWPN was found by the automatic port scanning of the zfcp device driver:

# ls -l /sys/bus/ccw/drivers/zfcp/0.0.fc00/
drwxr-xr-x.  3 root root    0 Apr 28 18:19 0x500507630040710b
drwxr-xr-x.  3 root root    0 Apr 28 18:19 0x50050763050b073d
drwxr-xr-x.  3 root root    0 Apr 28 18:19 0x500507630e060521
drwxr-xr-x.  3 root root    0 Apr 28 18:19 0x500507630e860521
-r--r--r--.  1 root root 4096 Apr 28 18:17 availability
-r--r--r--.  1 root root 4096 Apr 28 18:19 card_version
-rw-r--r--.  1 root root 4096 Apr 28 18:17 cmb_enable
-r--r--r--.  1 root root 4096 Apr 28 18:17 cutype
-r--r--r--.  1 root root 4096 Apr 28 18:17 devtype
lrwxrwxrwx.  1 root root    0 Apr 28 18:17 driver ->  ../../../../bus/ccw/drivers/zfcp
-rw-r--r--.  1 root root 4096 Apr 28 18:17 failed
-r--r--r--.  1 root root 4096 Apr 28 18:19 hardware_version
drwxr-xr-x. 35 root root    0 Apr 28 18:17 host0
-r--r--r--.  1 root root 4096 Apr 28 18:17 in_recovery
-r--r--r--.  1 root root 4096 Apr 28 18:19 lic_version
-r--r--r--.  1 root root 4096 Apr 28 18:17 modalias
-rw-r--r--.  1 root root 4096 Apr 28 18:17 online
-r--r--r--.  1 root root 4096 Apr 28 18:19 peer_d_id
-r--r--r--.  1 root root 4096 Apr 28 18:19 peer_wwnn
-r--r--r--.  1 root root 4096 Apr 28 18:19 peer_wwpn
--w-------.  1 root root 4096 Apr 28 18:19 port_remove
--w-------.  1 root root 4096 Apr 28 18:19 port_rescan
drwxr-xr-x.  2 root root    0 Apr 28 18:19 power
-r--r--r--.  1 root root 4096 Apr 28 18:19 status
lrwxrwxrwx.  1 root root    0 Apr 28 18:17 subsystem ->  ../../../../bus/ccw
-rw-r--r--.  1 root root 4096 Apr 28 18:17 uevent

4. Activate the FCP LUN by adding it to the port (WWPN) through which you would like to access the LUN:

# echo 0x4020400100000000 > /sys/bus/ccw/drivers/zfcp/0.0.fc00/0x50050763050b073d/unit_add

5. Find out the assigned SCSI device name:

# lszfcp -DV
/sys/devices/css0/0.0.0015/0.0.fc00/0x50050763050b073d/0x4020400100000000
/sys/bus/ccw/drivers/zfcp/0.0.fc00/host0/rport-0:0-21/target0:0:21/0:0:21:1089355792


For more information, refer to the chapter on SCSI-over-Fibre Channel in Linux on System z Device Drivers, Features, and Commands on Red Hat Enterprise Linux 6.
Comment 12 Michael Doyle 2010-07-05 01:53:46 EDT
Verified IBM feedback is incorporated into Red_Hat_Enterprise_Linux-Installation_Guide-6-en-US-0-74.
Comment 13 releng-rhel@redhat.com 2010-11-11 10:30:32 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.